## libsysstat 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(libsysstat)

set(MAJOR_VERSION 0)
set(MINOR_VERSION 3)
set(PATCH_VERSION 1)
set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

# additional cmake files
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)             # Standard directories for installation
include(create_pkgconfig_file)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

find_package(Qt5Core REQUIRED QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(SYSSTAT_LIBRARY_NAME "sysstat-qt5")
set(HEADER_NAMESPACE "SysStat")

set(SYSSTAT_PUBLIC_HDRS
    version.h
    sysstat_global.h
    basestat.h
    cpustat.h
    memstat.h
    netstat.h
)

set(SYSSTAT_PUBLIC_CLASSES
    Version
    Global
    BaseStat
    CpuStat
    MemStat
    NetStat
)

set(SYSSTAT_PRIVATE_HDRS
    version_p.h
    basestat_p.h
    cpustat_p.h
    memstat_p.h
    netstat_p.h
)

set(SYSSTAT_SRCS
    version.cpp
    basestat.cpp
    cpustat.cpp
    memstat.cpp
    netstat.cpp
)

set(SYSSTAT_QM_FILES "")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(APP_SHARE_DIR "${CMAKE_INSTALL_DATAROOTDIR}/${SYSSTAT_LIBRARY_NAME}")

add_library(${SYSSTAT_LIBRARY_NAME}
    SHARED
        ${SYSSTAT_PUBLIC_HDRS}
        ${SYSSTAT_PRIVATE_HDRS}
        ${SYSSTAT_SRCS}
        ${SYSSTAT_QM_FILES}
)

target_link_libraries(${SYSSTAT_LIBRARY_NAME} Qt5::Core)

set_target_properties(${SYSSTAT_LIBRARY_NAME} PROPERTIES
    VERSION ${SYSSTAT_VERSION}
    SOVERSION ${MAJOR_VERSION}
)

target_compile_definitions(${SYSSTAT_LIBRARY_NAME}
    PRIVATE "MAJOR_VERSION=${MAJOR_VERSION}"
    PRIVATE "MINOR_VERSION=${MINOR_VERSION}"
    PRIVATE "PATCH_VERSION=${PATCH_VERSION}"
    PRIVATE "SYSSTAT_LIBRARY"
)

target_include_directories(${SYSSTAT_LIBRARY_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${SYSSTAT_LIBRARY_NAME}>"
)

target_include_directories(${SYSSTAT_LIBRARY_NAME}
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/include/${SYSSTAT_LIBRARY_NAME}>"
)

include(cmake/create_portable_headers.cmake)

create_portable_headers(SYSSTAT_NAMESPACE_HEADERS
    NAMESPACE "${HEADER_NAMESPACE}/"
    FILENAMES ${SYSSTAT_PUBLIC_CLASSES}
)

foreach(h ${SYSSTAT_NAMESPACE_HEADERS})
    get_filename_component(bh ${h} NAME)
    configure_file("${h}" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/include/${SYSSTAT_LIBRARY_NAME}/${HEADER_NAMESPACE}/${bh}" COPYONLY)
endforeach()

foreach(h ${SYSSTAT_PUBLIC_HDRS})
    get_filename_component(bh ${h} NAME)
    configure_file("${h}" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/include/${SYSSTAT_LIBRARY_NAME}/${bh}" COPYONLY)
endforeach()

install(TARGETS
    ${SYSSTAT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}" EXPORT ${SYSSTAT_LIBRARY_NAME}-targets
    COMPONENT Runtime
)

install(FILES
    ${SYSSTAT_PUBLIC_HDRS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${SYSSTAT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(FILES
    ${SYSSTAT_NAMESPACE_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${SYSSTAT_LIBRARY_NAME}/${HEADER_NAMESPACE}"
    COMPONENT Devel
)

#install(FILES ${SYSSTAT_QM_FILES} DESTINATION "${APP_SHARE_DIR}")

export(TARGETS
    ${SYSSTAT_LIBRARY_NAME}
    FILE "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-targets.cmake"
)

create_pkgconfig_file(
    PACKAGE_NAME ${SYSSTAT_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${SYSSTAT_LIBRARY_NAME}
    DESCRIPTION "SysStat, a Qt-based interface to system statistics"
    INCLUDEDIRS ${SYSSTAT_LIBRARY_NAME}
    LIBS ${SYSSTAT_LIBRARY_NAME}
    REQUIRES "Qt5Core"
    VERSION ${SYSSTAT_VERSION}
    INSTALL
)


# cmake config file
set(SYSSTAT_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include/${SYSSTAT_LIBRARY_NAME}")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/sysstat-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${SYSSTAT_LIBRARY_NAME}"
)

# cmake version config file
write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${MAJOR}.${MINOR}.${PATCH}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${SYSSTAT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    ${SYSSTAT_LIBRARY_NAME}-targets
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${SYSSTAT_LIBRARY_NAME}"
    COMPONENT Devel
)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== debian/changelog ===
libsysstat (0.3.1-2) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:10:46 +0100

libsysstat (0.3.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.3.1.

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Nov 2015 00:15:25 +0100

libsysstat (0.3.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Initial release (Closes: #761270)
  * Initial debian files
  * symbols file added - tested for amd64 and i386
  * Added .gitignore 
  * Cherry-picking upstream version 0.3.0+201500806
  * Fixed copyright to LGPL2.1+ only
  * Added linker flags to rules
  * Added upstream signing key
  * Changed mail address czchen

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.3.0.

  [ Shih-Yuan Lee (FourDollars) ]
  * Imported Upstream version 0.3.0
  * Merge branch 'upstream' into debian
  * Add debian/gbp.conf for xz compression format.
  * Merge remote-tracking branch 'origin/fix-multiarch'

  [ Wei-Cheng Pan ]
  * fix multiarch install path
  * do not install files that do not exist

  [ Wen.Liao ]
  * Remove un-needed dependency: libqt5xdg-dev

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Sep 2015 21:35:12 +0800

=== debian/control ===
Source: libsysstat
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libsysstat.git -b debian/sid
Homepage: https://github.com/lxde/libsysstat

Package: libsysstat-qt5-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt-based interface to system statistics
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the shared library.

Package: libsysstat-qt5-0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsysstat-qt5-0 (= ${binary:Version})
Description: Qt-based interface to system statistics (dev)
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the development files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel \
		--fail-missing

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libsysstat/releases .*/([\d\.]+).tar.gz

## libsysstat 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,24 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 3)
-set(PATCH_VERSION 1)
+set(PATCH_VERSION 3)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
+
+set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(QT_MINIMUM_VERSION "5.4.2")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
+find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Core ${QT_MINIMUM_VERSION} REQUIRED)
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")
+
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)             # Standard directories for installation
-include(create_pkgconfig_file)
+include(LXQtCreatePkgConfigFile)
+include(LXQtCreatePortableHeaders)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
-
-find_package(Qt5Core REQUIRED QUIET)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -82,25 +88,22 @@
 )
 
 target_compile_definitions(${SYSSTAT_LIBRARY_NAME}
-    PRIVATE "MAJOR_VERSION=${MAJOR_VERSION}"
-    PRIVATE "MINOR_VERSION=${MINOR_VERSION}"
-    PRIVATE "PATCH_VERSION=${PATCH_VERSION}"
-    PRIVATE "SYSSTAT_LIBRARY"
+    PRIVATE
+        "MAJOR_VERSION=${MAJOR_VERSION}"
+        "MINOR_VERSION=${MINOR_VERSION}"
+        "PATCH_VERSION=${PATCH_VERSION}"
+        "SYSSTAT_LIBRARY"
 )
 
 target_include_directories(${SYSSTAT_LIBRARY_NAME}
-    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${SYSSTAT_LIBRARY_NAME}>"
+    INTERFACE
+        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${SYSSTAT_LIBRARY_NAME}>"
+        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/include/${SYSSTAT_LIBRARY_NAME}>"
 )
 
-target_include_directories(${SYSSTAT_LIBRARY_NAME}
-    INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_FILES_DIRECTORY}/include/${SYSSTAT_LIBRARY_NAME}>"
-)
-
-include(cmake/create_portable_headers.cmake)
-
-create_portable_headers(SYSSTAT_NAMESPACE_HEADERS
-    NAMESPACE "${HEADER_NAMESPACE}/"
-    FILENAMES ${SYSSTAT_PUBLIC_CLASSES}
+lxqt_create_portable_headers(SYSSTAT_NAMESPACE_HEADERS
+    PATH_PREFIX ".."
+    HEADER_NAMES ${SYSSTAT_PUBLIC_CLASSES}
 )
 
 foreach(h ${SYSSTAT_NAMESPACE_HEADERS})
@@ -138,7 +141,7 @@
     FILE "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-targets.cmake"
 )
 
-create_pkgconfig_file(
+lxqt_create_pkgconfig_file(
     PACKAGE_NAME ${SYSSTAT_LIBRARY_NAME}
     DESCRIPTIVE_NAME ${SYSSTAT_LIBRARY_NAME}
     DESCRIPTION "SysStat, a Qt-based interface to system statistics"
@@ -161,7 +164,7 @@
 # cmake version config file
 write_basic_package_version_file(
     "${CMAKE_BINARY_DIR}/${SYSSTAT_LIBRARY_NAME}-config-version.cmake"
-    VERSION ${MAJOR}.${MINOR}.${PATCH}
+    VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}
     COMPATIBILITY AnyNewerVersion
 )
 
@@ -177,13 +180,3 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${SYSSTAT_LIBRARY_NAME}"
     COMPONENT Devel
 )
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== debian/changelog ===
libsysstat (0.3.3-1) unstable; urgency=medium

  * Cherry-picking new upstream-release 0.3.3.
  * Removed build dependencies:
    - cmake
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build-dependency lxqt-build-tools (>= 0.3.0)
  * Fixed typo in VCS-Fields
  * Removed --parallel from debian/rules, standard compat 10
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Set LC_ALL=C.UTF-8
  
 -- Alf Gaida <agaida@siduction.org>  Sun, 11 Dec 2016 23:14:23 +0100

libsysstat (0.3.2-1) unstable; urgency=medium

  * Cherry-picking new upstream release 0.3.2
  * Bump compat to 10
  * Build depend on debhelper (>= 10)
  * Fixed VCS-Fields, use secure uri's
  * Bumped standards to 3.9.8, no changes needed
  * Fixed Format field in copyright, use a secure uri
  * Bumped years in copyright
  * Added README.md to docs
  * Added hardening flags to rules
  * Fixed debian/watch
  * Added a valid upstream signing-key

 -- Alf Gaida <agaida@siduction.org>  Sat, 17 Sep 2016 23:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,11 @@
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cmake (>= 3.0.2),
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libsysstat.git -b debian/sid
+Build-Depends: debhelper (>= 10),
+               lxqt-build-tools (>= 0.3.0)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libsysstat.git -b debian/sid
 Homepage: https://github.com/lxde/libsysstat
 
 Package: libsysstat-qt5-0

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## libsysstat 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 project(libsysstat)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 3)
-set(PATCH_VERSION 3)
+set(MINOR_VERSION 4)
+set(PATCH_VERSION 0)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
 set(QT_MINIMUM_VERSION "5.4.2")
 
 # additional cmake files
@@ -15,7 +15,7 @@
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Core ${QT_MINIMUM_VERSION} REQUIRED)
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)             # Standard directories for installation

=== debian/changelog ===
libsysstat (0.4.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 17:15:21 +0100

libsysstat (0.4.0-2) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 03:26:17 +0100

libsysstat (0.4.0-1) experimental; urgency=medium

  * Cherry-picking new upstream release 0.4.0.
  * Switched to experimental
  * Bumped Standards to 4.1.0
  * Make a separated dh_missing override
  * Bumped needed versions
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Sep 2017 18:25:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               lxqt-build-tools (>= 0.3.0)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libsysstat.git -b debian/sid
+               lxqt-build-tools (>= 0.4.0)
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libsysstat.git
 Homepage: https://github.com/lxde/libsysstat
 
 Package: libsysstat-qt5-0

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libsysstat/releases .*/libsysstat-([\d\.]+).tar.xz

## libsysstat 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 0)
+set(PATCH_VERSION 1)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
-set(QT_MINIMUM_VERSION "5.4.2")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
+set(QT_MINIMUM_VERSION "5.7.1")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -19,6 +19,7 @@
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)             # Standard directories for installation
+include(LXQtPreventInSourceBuilds)
 include(LXQtCreatePkgConfigFile)
 include(LXQtCreatePortableHeaders)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
@@ -93,6 +94,7 @@
         "MINOR_VERSION=${MINOR_VERSION}"
         "PATCH_VERSION=${PATCH_VERSION}"
         "SYSSTAT_LIBRARY"
+        "QT_NO_FOREACH"
 )
 
 target_include_directories(${SYSSTAT_LIBRARY_NAME}

=== debian/changelog ===
libsysstat (0.4.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 17:20:14 -0700

libsysstat (0.4.1-2) unstable; urgency=medium

  * lxqt-build-tools >= 0.5.0~ is needed

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 03:26:50 +0200

libsysstat (0.4.1-1) unstable; urgency=medium

  * Cherry-picking new upstream release 0.4.1.
  * Fixed watchfile url to lxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 02:18:52 +0200

libsysstat (0.4.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.4, no changes needed
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Fixed VCS fields for salsa
  * Fixed Homepage and Source to lxqt
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 18:17:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libsysstat
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               lxqt-build-tools (>= 0.4.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libsysstat.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libsysstat.git
-Homepage: https://github.com/lxde/libsysstat
+Build-Depends: debhelper (>= 11~),
+               lxqt-build-tools (>= 0.5.0~),
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
+Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
+Homepage: https://github.com/lxqt/libsysstat
 
 Package: libsysstat-qt5-0
 Architecture: any

## libsysstat 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,17 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(libsysstat)
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 1)
+set(PATCH_VERSION 2)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 # additional cmake files
@@ -66,11 +70,6 @@
 
 set(SYSSTAT_QM_FILES "")
 
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
-
 set(APP_SHARE_DIR "${CMAKE_INSTALL_DATAROOTDIR}/${SYSSTAT_LIBRARY_NAME}")
 
 add_library(${SYSSTAT_LIBRARY_NAME}
@@ -94,7 +93,11 @@
         "MINOR_VERSION=${MINOR_VERSION}"
         "PATCH_VERSION=${PATCH_VERSION}"
         "SYSSTAT_LIBRARY"
-        "QT_NO_FOREACH"
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
 )
 
 target_include_directories(${SYSSTAT_LIBRARY_NAME}

=== debian/changelog ===
libsysstat (0.4.2-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:55 +0100

libsysstat (0.4.2-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:26:21 -0600

libsysstat (0.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright.
  * Bump build dependencies.
  * Update the watch file to point to the new upstream location.
  * Remove trailing whitespace from the changelog file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 22:12:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libsysstat
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               lxqt-build-tools (>= 0.5.0~),
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
-Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
+Build-Depends: debhelper (>= 12),
+               lxqt-build-tools (>= 0.5.0)
+Standards-Version: 4.3.0
+Vcs-Browser: https://phab.lubuntu.me/source/libsysstat/
+Vcs-Git: https://phab.lubuntu.me/source/libsysstat.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
 Homepage: https://github.com/lxqt/libsysstat
 
 Package: libsysstat-qt5-0

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxqt/libsysstat/releases .*/libsysstat-([\d\.]+).tar.xz

## libsysstat 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 2)
+set(PATCH_VERSION 3)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -93,11 +93,6 @@
         "MINOR_VERSION=${MINOR_VERSION}"
         "PATCH_VERSION=${PATCH_VERSION}"
         "SYSSTAT_LIBRARY"
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
 )
 
 target_include_directories(${SYSSTAT_LIBRARY_NAME}

=== debian/changelog ===
libsysstat (0.4.3-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:22:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               lxqt-build-tools (>= 0.5.0)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), lxqt-build-tools (>= 0.7.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/libsysstat/
 Vcs-Git: https://phab.lubuntu.me/source/libsysstat.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
@@ -18,8 +17,7 @@
 Package: libsysstat-qt5-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt-based interface to system statistics
  SysStat is a Qt-based interface to system statistics.
  .
@@ -28,8 +26,7 @@
 Package: libsysstat-qt5-0-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends},
-         libsysstat-qt5-0 (= ${binary:Version})
+Depends: libsysstat-qt5-0 (= ${binary:Version}), ${misc:Depends}
 Description: Qt-based interface to system statistics (dev)
  SysStat is a Qt-based interface to system statistics.
  .

## libsysstat 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 3)
+set(PATCH_VERSION 4)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== debian/changelog ===
libsysstat (0.4.4-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable.
  * Bumped debhelper-compat to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 12 Feb 2021 02:54:27 +0530

libsysstat (0.4.4-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.
  * Added myself as uploader.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 06:29:33 +0800

libsysstat (0.4.2-1) unstable; urgency=medium

  * Cherry-picking new upstream release 0.4.2.
  * Bump Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Added Build-Depends-Package field to symbols
  * Fixed years in d/copyright
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:53:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12), lxqt-build-tools (>= 0.7.0)
+Build-Depends: debhelper-compat (= 13),
+               lxqt-build-tools (>= 0.6.0~),
 Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/libsysstat/
 Vcs-Git: https://phab.lubuntu.me/source/libsysstat.git

## libsysstat 0.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 4)
+set(PATCH_VERSION 5)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 # additional cmake files

=== debian/changelog ===
libsysstat (0.4.5-0ubuntu1) impish; urgency=medium

  * New upstream release 0.4.5
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
  * Added Build-Depends-Package metadata field to symbols
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Thu, 12 Aug 2021 11:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               lxqt-build-tools (>= 0.6.0~),
-Standards-Version: 4.5.0
+               lxqt-build-tools (>= 0.9.0),
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/libsysstat/
 Vcs-Git: https://phab.lubuntu.me/source/libsysstat.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat

## libsysstat 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 5)
+set(PATCH_VERSION 6)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.10.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== debian/changelog ===
libsysstat (0.4.6-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Sep 2022 11:32:04 -0700

libsysstat (0.4.6-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp.

  [ Andrew Lee (李健秋) ]
  * New upstream release.
  * Added myself as uploader.

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump Standards-Version to 4.6.0.
  * Bump compat to 13.
  * Add Rules-Requires-Root: no.
  * Fix wrong field name in d/upstream/metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 09 Feb 2022 23:16:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libsysstat
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -7,13 +7,11 @@
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               lxqt-build-tools (>= 0.9.0),
-Standards-Version: 4.5.1
-Vcs-Browser: https://phab.lubuntu.me/source/libsysstat/
-Vcs-Git: https://phab.lubuntu.me/source/libsysstat.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
+Build-Depends: debhelper-compat (= 13), lxqt-build-tools (>= 0.6.0~)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
+Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
 Homepage: https://github.com/lxqt/libsysstat
 
 Package: libsysstat-qt5-0

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,15 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
-		--fail-missing
+	dh ${@} --buildsystem cmake
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libsysstat 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -6,20 +6,20 @@
 # versions.
 project(libsysstat)
 
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 4)
-set(PATCH_VERSION 6)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 0)
+set(PATCH_VERSION 0)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "0.10.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
 # additional cmake files
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Core ${QT_MINIMUM_VERSION} REQUIRED)
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Core ${QT_MINIMUM_VERSION} REQUIRED)
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt6Core_VERSION}")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)             # Standard directories for installation
@@ -31,7 +31,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SYSSTAT_LIBRARY_NAME "sysstat-qt5")
+set(SYSSTAT_LIBRARY_NAME "sysstat-qt6")
 set(HEADER_NAMESPACE "SysStat")
 
 set(SYSSTAT_PUBLIC_HDRS
@@ -80,7 +80,7 @@
         ${SYSSTAT_QM_FILES}
 )
 
-target_link_libraries(${SYSSTAT_LIBRARY_NAME} Qt5::Core)
+target_link_libraries(${SYSSTAT_LIBRARY_NAME} Qt6::Core)
 
 set_target_properties(${SYSSTAT_LIBRARY_NAME} PROPERTIES
     VERSION ${SYSSTAT_VERSION}
@@ -147,7 +147,7 @@
     DESCRIPTION "SysStat, a Qt-based interface to system statistics"
     INCLUDEDIRS ${SYSSTAT_LIBRARY_NAME}
     LIBS ${SYSSTAT_LIBRARY_NAME}
-    REQUIRES "Qt5Core"
+    REQUIRES "Qt6Core"
     VERSION ${SYSSTAT_VERSION}
     INSTALL
 )

=== debian/changelog ===
libsysstat (1.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Bump build deps.
  * Bump package names for Qt6.
  * Update copyright file.
  * Bump soname.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:04:14 -0500

libsysstat (0.4.6-2ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
    - Changes from Debian were reviewed, many of them are the results of
      outdated info on their end, none of them are useful as-is.
  * Bumped build dependencies.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated copyright file.
  * Rebuild against lxqt-build-tools 0.12.0-0ubuntu3.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 14:03:21 -0600

libsysstat (0.4.6-0ubuntu1) lunar; urgency=medium

  * New upstream release 0.4.6.
  * Overhauled watch file to make it compatible with GitHub again.
  * Updated copyright file.
  * Bumped Standards-Version to 4.6.1, no changes necessary.
  * Removed an obsolete '-Wl,--as-needed' linker flag.
  * Added 'Rules-Require-Root: no' to debian/control.
  * Created debian/upstream/metadata.
  * Removed trailing whitespace from changelog.
  * Changed Vcs-Browser and Vcs-Git fields to point to Gitea rather than Phab.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 28 Nov 2022 16:26:08 -0600

=== debian/control ===
Source: libsysstat
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.0.0),
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/libsysstat-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/libsysstat-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
Homepage: https://github.com/lxqt/libsysstat
Rules-Requires-Root: no

Package: libsysstat-qt6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt-based interface to system statistics
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the shared library.

Package: libsysstat-qt6-1-dev
Architecture: any
Section: libdevel
Depends: libsysstat-qt6-1 (= ${binary:Version}), ${misc:Depends}
Description: Qt-based interface to system statistics (dev)
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the development files.

## libsysstat 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,11 @@
 project(libsysstat)
 
 set(MAJOR_VERSION 1)
-set(MINOR_VERSION 0)
+set(MINOR_VERSION 1)
 set(PATCH_VERSION 0)
 set(SYSSTAT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 # additional cmake files

=== debian/changelog ===
libsysstat (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 04 Dec 2024 01:12:13 +0800

libsysstat (1.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:29:10 +0100

libsysstat (1.0.0-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-dev (>= 6.7.2).
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 17:24:19 +0200

libsysstat (1.0.0-1~exp1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on lxqt-build-tools (>= 2.0.0~).
  * Run wrap-and-sort.
  * debian/control: build-deps on qt6-base-dev (>= 6.6.0~).
  * Bump libsysstat-qt5-0 to libsysstat-qt6-1.
  * debian/libsysstat-qt5-0.symbols: drop.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: build-deps on lxqt-build-tools (>= 2.0.0+really2.0.0~).
  * debian/salsa-ci.yml: disable reprotest as not supported experimental

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Sep 2024 18:54:11 +0200

libsysstat (0.4.6-4) unstable; urgency=medium

  * New upstream version 1.0.0
  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on lxqt-build-tools (>= 2.0.0~).
  * Run wrap-and-sort.
  * debian/control: build-deps on qt6-base-dev (>= 6.6.0~).
  * Bump libsysstat-qt5-0 to libsysstat-qt6-1.
  * debian/libsysstat-qt5-0.symbols: drop.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: build-deps on lxqt-build-tools (>=
    2.0.0+really2.0.0~).
  * debian/salsa-ci.yml: disable reprotest as not supported experimental

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Sep 2024 18:53:27 +0200

libsysstat (0.4.6-3) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Add soversion in install files to prevent accidently bumping soversion.
  * Change team email to <team+lxqt@tracker.debian.org>
  * Update Build-Depends
  * update changelog

  [ Aaron Rainbolt ]
  * debian/rules: Removed obsolete '-Wl,--as-needed' linker flag.
  * debian/copyright: Updated copyright file.

  [ Andrew Lee (李健秋) ]
  * Updated changelog
  * Bump Standards-Version to 4.6.2

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/copyright

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.

  [ Andrew Lee (李健秋) ]
  * Releasing debian version 0.4.6-3.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 17 Jun 2023 10:31:29 +0200

libsysstat (0.4.6-2) unstable; urgency=medium

  * Fix d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Nov 2022 22:52:41 +0800

=== debian/control ===
Source: libsysstat
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.1.0~),
               qt6-base-dev (>= 6.7.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/lxqt-team/libsysstat
Vcs-Git: https://salsa.debian.org/lxqt-team/libsysstat.git
Homepage: https://github.com/lxqt/libsysstat

Package: libsysstat-qt6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt-based interface to system statistics
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the shared library.

Package: libsysstat-qt6-1-dev
Architecture: any
Section: libdevel
Depends: libsysstat-qt6-1 (= ${binary:Version}), ${misc:Depends}
Description: Qt-based interface to system statistics (dev)
 SysStat is a Qt-based interface to system statistics.
 .
 This package contain the development files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
